=== debian/changelog ===
dd-opentracing-cpp (1.3.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 15 Jan 2022 17:07:46 -0600

dd-opentracing-cpp (1.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 07 Nov 2021 00:52:03 -0500

dd-opentracing-cpp (1.3.0-1) experimental; urgency=medium

  * Initial release (Closes: #991671)

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 15 Jul 2021 23:05:10 -0500
