=== debian/control ===
Source: dd-opentracing-cpp
Priority: optional
Maintainer: Stephen Gelman <ssgelm@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libopentracing-dev,
               libcurl4-nss-dev,
               zlib1g-dev,
               libmsgpack-dev,
Standards-Version: 4.5.1
Section: libs
Homepage: https://github.com/DataDog/dd-opentracing-cpp
Vcs-Browser: https://salsa.debian.org/ssgelm/dd-opentracing-cpp
Vcs-Git: https://salsa.debian.org/ssgelm/dd-opentracing-cpp.git
Rules-Requires-Root: no

Package: libdd-opentracing-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdd-opentracing0 (= ${binary:Version}), ${misc:Depends}
Description: Datadog OpenTracing C++ Client (headers)
 An OpenTracing client to collect OpenTracing data in a format that can be
 parsed locally by Datadog's agent. This is used as a plugin in conjunction
 with lib-opentracing1 in applications that support OpenTracing.
 .
 This package contains the development headers for libdd-opentracing0.

Package: libdd-opentracing0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Datadog OpenTracing C++ Client (lib)
 An OpenTracing client to collect OpenTracing data in a format that can be
 parsed locally by Datadog's agent. This is used as a plugin in conjunction
 with lib-opentracing1 in applications that support OpenTracing.
 .
 This package contains the library for libdd-opentracing0 along with the plugin
 version.
