=== debian/changelog ===
dd-opentracing-cpp (1.3.6-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS on riscv64 (Closes: #1022112)
    Thanks to JunYuan Tan for the patch!

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 24 Oct 2022 10:34:12 -0500

dd-opentracing-cpp (1.3.1-3) unstable; urgency=medium

  * Change dep from libmsgpack-dev to libmsgpack-cxx-dev (Closes: #1019111)
  * Update standards version to 4.6.1.0

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 11 Oct 2022 19:04:39 -0500

dd-opentracing-cpp (1.3.1-2) unstable; urgency=medium

  * Update catch2 dependency to fix FTBFS with glibc >= 2.34 (Closes: #1009662)
    Thanks to Steve Langasek for the patch!
  * Add patch to fix FTBFS in span_test
  * Update standards version to 4.6.0.1

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 24 Apr 2022 19:40:49 -0500
