=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
                libopentracing-dev,
                libcurl4-nss-dev,
                zlib1g-dev,
-               libmsgpack-dev,
-Standards-Version: 4.5.1
+               libmsgpack-cxx-dev,
+Standards-Version: 4.6.1.0
 Section: libs
 Homepage: https://github.com/DataDog/dd-opentracing-cpp
 Vcs-Browser: https://salsa.debian.org/ssgelm/dd-opentracing-cpp
