=== 3rd_party/include/catch2/Makefile ===
.PHONY: all
all: catch.hpp LICENSE.txt

catch.hpp:
	wget 'https://github.com/catchorg/Catch2/releases/download/v2.13.9/catch.hpp'

LICENSE.txt:
	wget 'https://raw.githubusercontent.com/catchorg/Catch2/v2.x/LICENSE.txt'
