=== 3rd_party/include/nlohmann/Makefile ===
.PHONY: all
all: json.hpp LICENSE.MIT

json.hpp:
	wget 'https://github.com/nlohmann/json/releases/download/v3.11.2/json.hpp'

LICENSE.MIT:
	wget 'https://raw.githubusercontent.com/nlohmann/json/v3.11.2/LICENSE.MIT'
