=== debian/changelog ===
dd-opentracing-cpp (1.3.7-1) unstable; urgency=medium

  * New upstream release
  * Replace libcurl4-nss-dev dep with libcurl4-openssl-dev (Closes: #1038909)
  * Update standards version to 4.6.2

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 13 Aug 2023 23:48:41 -0500
