=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libopentracing-dev,
-               libcurl4-nss-dev,
+               libcurl4-openssl-dev,
                zlib1g-dev,
                libmsgpack-cxx-dev,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/DataDog/dd-opentracing-cpp
 Vcs-Browser: https://salsa.debian.org/ssgelm/dd-opentracing-cpp
