=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dd-opentracing-cpp-$1.tar.gz%" \
   https://github.com/DataDog/dd-opentracing-cpp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
